Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class Shading<TDataObject extends PdfDataObject>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Shading<TDataObject>

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public class Shading<TDataObject extends PdfDataObject>

extends PdfObjectWrapper<TDataObject>

Shading object [PDF:1.6:4.6.3].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`Shading` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`static Shading<? extends PdfDataObject>` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### wrap

    public static Shading<? extends PdfDataObject> wrap(PdfDirectObject baseObject)

### clone

    public Shading clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<TDataObject extends PdfDataObject>`
  Parameters:
    `context` - Which document the clone has to be registered in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.